/* InputMakers 
Proyecto Estación meteorológica.
Programa para mostrar en la pantalla LCD, la temperatura y la humedad relativa mediante el sensor DHT11.
Instrucciones:
Conectar el pin de señal del Sensor DHT11 a la entrada digital 9.
Necesario descargar la librería DHT para poder utilizar este sensor.
Recuerda que utilizaremos una pantalla LCD controlada mediante un Módulo Serial I2C
*/
#include <Wire.h>    // Incluimos la librería Wire.h que establece la comunicación con el protocolo I2C.            
#include <LiquidCrystal_I2C.h>    // Incluimos la librería para usar la pantalla LCD con el módulo I2C.
LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);    // Establece la dirección/conexión de la pantalla LCD y el módulo I2C con el Arduino (Set the LCD I2C address). Si no funciona, revisa estas adress: 0x3f (chip PCF8574AT) o 0x27 (chip PCF8574T).
#include "DHT.h"   // Incluimos la librería del sensor DHT.
#define DHTPIN 9    // Definimos el pin digital donde conectamos el sensor, en este caso al pin digital 9.
#define DHTTYPE DHT11   // Definimos el tipo de sensor. 
DHT dht(DHTPIN, DHTTYPE);    // Inicializamos el sensor DHT11.  
void setup() {
lcd.begin(16,2);    // Inicializamos el display con 16 caracteres y 2 líneas.
dht.begin();    // Inicializamos el sensor DHT.
}
void loop() { 
int h = dht.readHumidity();    // Definimos la variable entera h y leemos la humedad.
int t = dht.readTemperature();    // Definimos la variable entera t y leemos la temperatura.
 
lcd.clear();    // Elimina todos los símbolos de la LCD.
lcd.setCursor(0,0);    // Posiciona la primera letra en el segmento 0 de línea 1 (Se empieza a contar desde 0).            
lcd.print("Humedad Relativa ");    // Imprime por pantalla Humedad Relativa.
lcd.setCursor(6,1);    // Posiciona la primera letra en el segmento 6 de línea 2 (Se empieza a contar desde 0).
lcd.print(h);    // Imprime la humedad en pantalla.
lcd.print(" %");    // Imprime en pantalla %.                 
delay (2500);    // Pausa el programa 2,5 segundos.
              
lcd.clear();    // Elimina todos los símbolos de la LCD.
lcd.setCursor(3,0);    // Posiciona la primera letra en el segmento 3 de línea 1 (Se empieza a contar desde 0).
lcd.print("Temperatura ");    // Imprime por pantalla Temperatura.
lcd.setCursor(6,1);    // Posiciona la primera letra en el segmento 6 de línea 2 (Se empieza a contar desde 0).
lcd.print(t);    // Imprime la temperatura en pantalla.
lcd.print(" C");    // Imprime en pantalla C.             
delay (2500);    // Pausa el programa 2,5 segundos.
            
lcd.clear();    // Elimina todos los símbolos de la LCD.
lcd.setCursor(0,0);    // Posiciona la primera letra en el segmento 0 de línea 1 (Se empieza a contar desde 0).
lcd.print("Lecturas:");    // Imprime en pantalla Lecturas.                     
delay (2500);    // Pausa el programa 2,5 segundos.
}
